Subject: npds Digest V1 #11

From: Listar <nospam_listar_at_ml.free_dot_fr>
Date: Wed, 15 Nov 2000 03:22:00 +0100 (CET)

<x-charset x-mac-text>------------------------------------
npds Digest	Tue, 14 Nov 2000	Volume: 01  Issue: 011

In This Issue:
		[NPDS] Re: [Protocol Draft] SHARE & QUERY - Or a network of 

----------------------------------------------------------------------

Date: Tue, 14 Nov 2000 07:12:03 +0100
From: Paul Guyot <nospam_pguyot_at_kallisys_dot_net>
Subject: [NPDS] Re: [Protocol Draft] SHARE & QUERY - Or a network of t

>SHARE was conceived by Matt Vaughn. I wrote QUERY, but I can't remember why.

You are probably right.

>If sounds good. I think I will try to get SHARE fixed soon and you 
>can document the new protocol stuff for v2 or maybe V3.

I think that v1 should be limited to what Matt's tracker does 
properly (and what yours also do), and what's implemented in the 
client (well, partly because it should check the result).

REGUP
REGDN
ABOUT

and we forget about the QUERY command for the current QUERY format 
doesn't fit our needs (anyway, Matt says 404 Not Found).

Then, I'll document v1.1 with:
NPDS/TP extension (already defined in the draft)
Server sharing command (SHARE) & mechanism
Tracker query command (QUERY)
Tracker client orphan behavior

We may divide this in two steps if you think it's worth it.

Next step is additional REGUP (and therefore SHARE) data concerning 
Newtons such as latitude & longitude, character encoding for the 
description, etc.

Regards,

Paul
-- 
Attention, nouvelle adresse.
New address, please update.

------------------------------

End of npds Digest V1 #11
*************************

</x-charset>